> ## Documentation Index
> Fetch the complete documentation index at: https://docs.spritz.finance/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Kamino yield vault

> Returns one Solana Kamino vault. Unlisted vaults return 404 unless `includeUnlisted=true` is supplied.



## OpenAPI

````yaml https://platform.spritz.finance/openapi.json get /v1/wallet-kit/yield/solana/kamino/vaults/{vaultId}
openapi: 3.0.3
info:
  title: Spritz Finance API
  version: 1.0.0
  description: API for the Spritz Finance platform with RFC 9457 error handling
servers:
  - url: https://platform.spritz.finance
    description: Production
  - url: https://sandbox.spritz.finance
    description: Sandbox
security: []
tags:
  - name: Users
    description: User management endpoints
  - name: Bank Accounts
    description: Manage bank accounts for off-ramp destinations
  - name: Bills
    description: Manage bill pay accounts
  - name: Cards
    description: Spritz-issued debit cards
  - name: Auto-Ramp Accounts
    description: Virtual bank accounts that automatically convert fiat deposits to crypto
  - name: Spritz App
    description: >-
      Endpoints used by the Spritz app and internal SDKs. Excluded from the
      public partner spec.
paths:
  /v1/wallet-kit/yield/solana/kamino/vaults/{vaultId}:
    get:
      tags:
        - Wallet Kit
      summary: Get Kamino yield vault
      description: >-
        Returns one Solana Kamino vault. Unlisted vaults return 404 unless
        `includeUnlisted=true` is supplied.
      operationId: getV1Wallet-kitYieldSolanaKaminoVaultsByVaultId
      parameters:
        - name: vaultId
          in: path
          required: true
          schema:
            minLength: 32
            maxLength: 44
            pattern: ^[1-9A-HJ-NP-Za-km-z]+$
            description: Solana public key (base58).
            type: string
            example: 8sLbNZoA1cfnvMJLPfp98ZLAnFSYCFApfJKMbiXNLwxj
        - name: asset
          in: query
          required: false
          schema:
            default: USDC
            description: Deposit asset to filter by. Only USDC is currently supported.
            type: string
            enum:
              - USDC
        - name: includeUnlisted
          in: query
          required: false
          schema:
            type: string
            enum:
              - 'true'
              - 'false'
      responses:
        '200':
          description: Kamino yield vault available through Wallet Kit.
          content:
            application/json:
              schema:
                description: Kamino yield vault available through Wallet Kit.
                type: object
                properties:
                  id:
                    description: Kamino vault identifier.
                    type: string
                  protocol:
                    type: string
                    enum:
                      - kamino
                  chain:
                    type: string
                    enum:
                      - solana
                  name:
                    type: string
                  isListed:
                    type: boolean
                  depositToken:
                    type: object
                    properties:
                      symbol:
                        type: string
                        enum:
                          - USDC
                          - UNKNOWN
                      mint:
                        type: string
                      decimals:
                        type: integer
                    required:
                      - symbol
                      - mint
                      - decimals
                  receiptToken:
                    type: object
                    properties:
                      mint:
                        type: string
                      decimals:
                        type: integer
                    required:
                      - mint
                      - decimals
                  apy:
                    type: object
                    properties:
                      current:
                        type: string
                        nullable: true
                      actual:
                        type: string
                        nullable: true
                      theoretical:
                        type: string
                        nullable: true
                      apy24h:
                        type: string
                        nullable: true
                      apy7d:
                        type: string
                        nullable: true
                      apy30d:
                        type: string
                        nullable: true
                      apy90d:
                        type: string
                        nullable: true
                      apy180d:
                        type: string
                        nullable: true
                      apy365d:
                        type: string
                        nullable: true
                      farmRewards:
                        type: string
                        nullable: true
                      incentives:
                        type: string
                        nullable: true
                      reservesIncentives:
                        type: string
                        nullable: true
                    required:
                      - current
                      - actual
                      - theoretical
                      - apy24h
                      - apy7d
                      - apy30d
                      - apy90d
                      - apy180d
                      - apy365d
                      - farmRewards
                      - incentives
                      - reservesIncentives
                  tvl:
                    type: object
                    properties:
                      tokenAmount:
                        type: string
                        nullable: true
                      usdAmount:
                        type: string
                        nullable: true
                    required:
                      - tokenAmount
                      - usdAmount
                  liquidity:
                    type: object
                    properties:
                      availableTokenAmount:
                        type: string
                        nullable: true
                      investedTokenAmount:
                        type: string
                        nullable: true
                    required:
                      - availableTokenAmount
                      - investedTokenAmount
                  sharePrice:
                    type: string
                    nullable: true
                  tokensPerShare:
                    type: string
                    nullable: true
                  numberOfHolders:
                    type: integer
                    nullable: true
                  fees:
                    type: object
                    properties:
                      performanceFeeBps:
                        type: integer
                      managementFeeBps:
                        type: integer
                      withdrawalPenaltyBps:
                        type: integer
                    required:
                      - performanceFeeBps
                      - managementFeeBps
                      - withdrawalPenaltyBps
                  limits:
                    type: object
                    properties:
                      minDepositAmount:
                        type: string
                      minWithdrawAmount:
                        type: string
                    required:
                      - minDepositAmount
                      - minWithdrawAmount
                  risk:
                    type: object
                    properties:
                      level:
                        type: string
                        enum:
                          - low
                          - medium
                          - high
                          - unknown
                      labels:
                        type: array
                        items:
                          type: string
                      whitelistedReservesOnly:
                        type: boolean
                      whitelistedInvestOnly:
                        type: boolean
                      hasFirstLossCapitalFarm:
                        type: boolean
                      firstLossCapitalFarm:
                        type: string
                        nullable: true
                    required:
                      - level
                      - labels
                      - whitelistedReservesOnly
                      - whitelistedInvestOnly
                      - hasFirstLossCapitalFarm
                      - firstLossCapitalFarm
                  allocations:
                    type: array
                    items:
                      type: object
                      properties:
                        reserve:
                          type: string
                        marketName:
                          type: string
                          nullable: true
                        supplyApy:
                          type: string
                          nullable: true
                        totalSupplyUsd:
                          type: string
                          nullable: true
                        maxLtv:
                          type: string
                          nullable: true
                      required:
                        - reserve
                        - marketName
                        - supplyApy
                        - totalSupplyUsd
                        - maxLtv
                required:
                  - id
                  - protocol
                  - chain
                  - name
                  - isListed
                  - depositToken
                  - receiptToken
                  - apy
                  - tvl
                  - liquidity
                  - sharePrice
                  - tokensPerShare
                  - numberOfHolders
                  - fees
                  - limits
                  - risk
                  - allocations
        '400':
          description: Response for status 400
          content:
            application/json:
              schema:
                type: object
                properties:
                  type:
                    default: about:blank
                    description: A URI reference that identifies the problem type
                    type: string
                    example: urn:problem-type:auth:unauthorized
                  title:
                    description: A short, human-readable summary of the problem type
                    type: string
                    example: Unauthorized
                  status:
                    description: The HTTP status code
                    type: number
                    example: 400
                  detail:
                    description: A human-readable explanation specific to this occurrence
                    type: string
                  instance:
                    description: A URI reference that identifies the specific occurrence
                    type: string
                    example: /errors/1234567890
                  code:
                    description: >-
                      Machine-readable cause, present when exactly one thing
                      failed. Branch on this, never on `detail`, which is
                      human-facing copy and may change. For deposit limits the
                      vocabulary matches the `reason` values the limits API
                      returns pre-flight.
                    type: string
                    example: transaction_limit
                  field:
                    description: The offending request field, present alongside `code`.
                    type: string
                    example: amountUsd
                  retryable:
                    description: >-
                      Whether retrying the same request later may succeed
                      without changing its inputs.
                    type: boolean
                    example: true
                required:
                  - title
                  - status
                additionalProperties: false
        '401':
          description: Response for status 401
          content:
            application/json:
              schema:
                type: object
                properties:
                  type:
                    default: about:blank
                    description: A URI reference that identifies the problem type
                    type: string
                    example: urn:problem-type:auth:unauthorized
                  title:
                    description: A short, human-readable summary of the problem type
                    type: string
                    example: Unauthorized
                  status:
                    description: The HTTP status code
                    type: number
                    example: 401
                  detail:
                    description: A human-readable explanation specific to this occurrence
                    type: string
                    example: Bearer token required
                  instance:
                    description: A URI reference that identifies the specific occurrence
                    type: string
                  realm:
                    description: The authentication realm
                    type: string
                    example: API
                  scope:
                    description: The required scope for this resource
                    type: string
                    example: read:users
                required:
                  - title
                  - status
                additionalProperties: false
        '404':
          description: Response for status 404
          content:
            application/json:
              schema:
                type: object
                properties:
                  type:
                    default: about:blank
                    description: A URI reference that identifies the problem type
                    type: string
                    example: urn:problem-type:auth:unauthorized
                  title:
                    description: A short, human-readable summary of the problem type
                    type: string
                    example: Unauthorized
                  status:
                    description: The HTTP status code
                    type: number
                    example: 400
                  detail:
                    description: A human-readable explanation specific to this occurrence
                    type: string
                  instance:
                    description: A URI reference that identifies the specific occurrence
                    type: string
                    example: /errors/1234567890
                  code:
                    description: >-
                      Machine-readable cause, present when exactly one thing
                      failed. Branch on this, never on `detail`, which is
                      human-facing copy and may change. For deposit limits the
                      vocabulary matches the `reason` values the limits API
                      returns pre-flight.
                    type: string
                    example: transaction_limit
                  field:
                    description: The offending request field, present alongside `code`.
                    type: string
                    example: amountUsd
                  retryable:
                    description: >-
                      Whether retrying the same request later may succeed
                      without changing its inputs.
                    type: boolean
                    example: true
                required:
                  - title
                  - status
                additionalProperties: false
        '500':
          description: Response for status 500
          content:
            application/json:
              schema:
                type: object
                properties:
                  type:
                    default: about:blank
                    description: A URI reference that identifies the problem type
                    type: string
                    example: urn:problem-type:auth:unauthorized
                  title:
                    description: A short, human-readable summary of the problem type
                    type: string
                    example: Unauthorized
                  status:
                    description: The HTTP status code
                    type: number
                    example: 400
                  detail:
                    description: A human-readable explanation specific to this occurrence
                    type: string
                  instance:
                    description: A URI reference that identifies the specific occurrence
                    type: string
                    example: /errors/1234567890
                  code:
                    description: >-
                      Machine-readable cause, present when exactly one thing
                      failed. Branch on this, never on `detail`, which is
                      human-facing copy and may change. For deposit limits the
                      vocabulary matches the `reason` values the limits API
                      returns pre-flight.
                    type: string
                    example: transaction_limit
                  field:
                    description: The offending request field, present alongside `code`.
                    type: string
                    example: amountUsd
                  retryable:
                    description: >-
                      Whether retrying the same request later may succeed
                      without changing its inputs.
                    type: boolean
                    example: true
                required:
                  - title
                  - status
                additionalProperties: false
        '502':
          description: Response for status 502
          content:
            application/json:
              schema:
                type: object
                properties:
                  type:
                    default: about:blank
                    description: A URI reference that identifies the problem type
                    type: string
                    example: urn:problem-type:auth:unauthorized
                  title:
                    description: A short, human-readable summary of the problem type
                    type: string
                    example: Unauthorized
                  status:
                    description: The HTTP status code
                    type: number
                    example: 400
                  detail:
                    description: A human-readable explanation specific to this occurrence
                    type: string
                  instance:
                    description: A URI reference that identifies the specific occurrence
                    type: string
                    example: /errors/1234567890
                  code:
                    description: >-
                      Machine-readable cause, present when exactly one thing
                      failed. Branch on this, never on `detail`, which is
                      human-facing copy and may change. For deposit limits the
                      vocabulary matches the `reason` values the limits API
                      returns pre-flight.
                    type: string
                    example: transaction_limit
                  field:
                    description: The offending request field, present alongside `code`.
                    type: string
                    example: amountUsd
                  retryable:
                    description: >-
                      Whether retrying the same request later may succeed
                      without changing its inputs.
                    type: boolean
                    example: true
                required:
                  - title
                  - status
                additionalProperties: false
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: Cognito JWT token for regular user authentication

````